Bug 5186 - Add qtdbus-qt5 and qtpaths-qt5 binaries to qt5-tools package
: Add qtdbus-qt5 and qtpaths-qt5 binaries to qt5-tools package
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-17 03:19 MSK by Andrey Bondrov
Modified: 2015-03-23 09:01 MSK (History)
2 users (show)

See Also:
RPM Package: qt5
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-03-17 03:19:21 MSK
We need to add qtdbus-qt5 and qtpaths-qt5 binaries to qt5-tools package, they are used in Plasma 5 Workspace startkde script.
Comment 1 Andrey Bondrov 2015-03-17 03:20:14 MSK
Advisory: "Add qtdbus-qt5 and qtpaths-qt5 binaries to qt5-tools package"

https://abf.rosalinux.ru/build_lists/2473034
https://abf.rosalinux.ru/build_lists/2473035
Comment 2 FirstLevel 2015-03-18 16:11:45 MSK
32bit
install qt5-tools, plug container, update - ok 
plug container, install qt5-tools- ok
plug container, install qt5-tools qt5-designer - 

-- old --
[root@r5-32 ~]# rpm -ql qt5-tools-5.4.1-1-rosa2014.1.i586
/usr/lib/qt5/bin/pixeltool
/usr/lib/qt5/bin/qcollectiongenerator
/usr/lib/qt5/bin/qdbus
/usr/lib/qt5/bin/qdbusviewer
/usr/lib/qt5/bin/qhelpconverter
/usr/lib/qt5/bin/qhelpgenerator
/usr/lib/qt5/bin/qtdiag
/usr/lib/qt5/bin/qtpaths
/usr/lib/qt5/bin/xmlpatterns
/usr/lib/qt5/bin/xmlpatternsvalidator
[root@r5-32 ~]# 

-- new --
[root@r5-32 ~]# rpm -ql qt5-tools
/usr/bin/qdbus-qt5
/usr/bin/qtpaths-qt5
/usr/lib/qt5/bin/pixeltool
/usr/lib/qt5/bin/qcollectiongenerator
/usr/lib/qt5/bin/qdbus
/usr/lib/qt5/bin/qdbusviewer
/usr/lib/qt5/bin/qhelpconverter
/usr/lib/qt5/bin/qhelpgenerator
/usr/lib/qt5/bin/qtdiag
/usr/lib/qt5/bin/qtpaths
/usr/lib/qt5/bin/xmlpatterns
/usr/lib/qt5/bin/xmlpatternsvalidator
[root@r5-32 ~]# 



64bit
install qt5-tools, plug container, update - ok
plug container, install qt5-tools- ok 
plug container, install qt5-designer, launch qt5-designer  - ok

-- old --
[root@r5-64 ~]# rpm -ql qt5-tools
/usr/lib64/qt5/bin/pixeltool
/usr/lib64/qt5/bin/qcollectiongenerator
/usr/lib64/qt5/bin/qdbus
/usr/lib64/qt5/bin/qdbusviewer
/usr/lib64/qt5/bin/qhelpconverter
/usr/lib64/qt5/bin/qhelpgenerator
/usr/lib64/qt5/bin/qtdiag
/usr/lib64/qt5/bin/qtpaths
/usr/lib64/qt5/bin/xmlpatterns
/usr/lib64/qt5/bin/xmlpatternsvalidator
[root@r5-64 ~]# 

-- new --
[root@r5-64 ~]# rpm -ql qt5-tools
/usr/bin/qdbus-qt5
/usr/bin/qtpaths-qt5
/usr/lib64/qt5/bin/pixeltool
/usr/lib64/qt5/bin/qcollectiongenerator
/usr/lib64/qt5/bin/qdbus
/usr/lib64/qt5/bin/qdbusviewer
/usr/lib64/qt5/bin/qhelpconverter
/usr/lib64/qt5/bin/qhelpgenerator
/usr/lib64/qt5/bin/qtdiag
/usr/lib64/qt5/bin/qtpaths
/usr/lib64/qt5/bin/xmlpatterns
/usr/lib64/qt5/bin/xmlpatternsvalidator
[root@r5-64 ~]#
Comment 3 Vladimir Potapov 2015-03-19 14:39:41 MSK
no qtdbus-qt5, qdbus-qt5 !
Comment 4 Vladimir Potapov 2015-03-19 14:40:09 MSK
The update sent to expanded testing
***********************************
Comment 5 Vladimir Potapov 2015-03-23 07:29:43 MSK
qt5-5.4.1-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2473034/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2473035/x86_64/main/release/
******************************** Advisory ***************************
Add qtdbus-qt5 and qtpaths-qt5 binaries to qt5-tools package
********************************************************************
QA Verified